#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 th-expand-syns
version:              0.4.11.0
visibility:           public
id:                   th-expand-syns-0.4.11.0-LOm1mfsLJky1nJvsdSKtGL
key:                  th-expand-syns-0.4.11.0-LOm1mfsLJky1nJvsdSKtGL
license:              BSD-3-Clause
maintainer:           Ryan Scott <ryan.gl.scott@gmail.com>
author:               Daniel Schüssler
homepage:             https://github.com/DanielSchuessler/th-expand-syns
synopsis:             Expands type synonyms in Template Haskell ASTs
description:
    Expands type synonyms in Template Haskell ASTs.

    As of version @0.4.9.0@, this library is a small shim on
    top of the @applySubstitution@/@resolveTypeSynonyms@
    functions from @th-abstraction@, so you may want to
    consider using @th-abstraction@ instead.

category:             Template Haskell
abi:                  d4836417df30eb9aa0c5f868e7164055
exposed:              True
exposed-modules:      Language.Haskell.TH.ExpandSyns
hidden-modules:       Language.Haskell.TH.ExpandSyns.SemigroupCompat
import-dirs:          /usr/lib/ghc-9.4.8/site-local/th-expand-syns-0.4.11.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/th-expand-syns-0.4.11.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/th-expand-syns-0.4.11.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-th-expand-syns
hs-libraries:         HSth-expand-syns-0.4.11.0-LOm1mfsLJky1nJvsdSKtGL
depends:
    base-4.17.2.1 containers-0.6.7 syb-0.7.2.4-FxOA5ryuuOlLotDfjBKcFb
    template-haskell-2.19.0.0
    th-abstraction-0.4.5.0-EtQVnbIEkAX5f6KN9Uwjhw

haddock-interfaces:
    /usr/share/doc/haskell-th-expand-syns/html/th-expand-syns.haddock

haddock-html:         /usr/share/doc/haskell-th-expand-syns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

